package com.huimv.manager.service.impl;

import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.huimv.manager.entity.FarmStockEntity;
import com.huimv.manager.mapper.FarmStockDao;
import com.huimv.manager.service.FarmStockService;
import com.huimv.manager.utils.PageUtils;
import com.huimv.manager.utils.Query;
import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


/**
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-28 10:39:17
 */
@Service("farmStockService")
public class FarmStockServiceImpl extends ServiceImpl<FarmStockDao, FarmStockEntity> implements FarmStockService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {

        String county = (String)params.get("county");
        String farmName = (String) params.get("farmName");
        String minStockTotal =(String) params.get("minStockTotal");
        String maxStockTotal =(String) params.get("maxStockTotal");
        String minStockNew =(String) params.get("minStockNew");
        String maxStockNew =(String) params.get("maxStockNew");
        String minOfflineNo =(String) params.get("minOfflineNo");
        String maxOfflineNo =(String) params.get("maxOfflineNo");
        String minSowStock =(String) params.get("minSowStock");
        String maxSowStock =(String) params.get("maxSowStock");

        QueryWrapper<FarmStockEntity> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(county),"county_code",county);
        wrapper.like(StringUtils.isNotBlank(farmName),"farm_name",farmName);

        wrapper.ge(StringUtils.isNotBlank(minStockTotal),"stock_total",minStockTotal);
        wrapper.le(StringUtils.isNotBlank(maxStockTotal),"stock_total",maxStockTotal);

        wrapper.ge(StringUtils.isNotBlank(minStockNew),"stock_new",minStockNew);
        wrapper.le(StringUtils.isNotBlank(maxStockNew),"stock_new",maxStockNew);

        wrapper.ge(StringUtils.isNotBlank(minOfflineNo),"offline_no",minOfflineNo);
        wrapper.le(StringUtils.isNotBlank(maxOfflineNo),"offline_no",maxOfflineNo);

        wrapper.ge(StringUtils.isNotBlank(minOfflineNo),"sow_stock",minSowStock);
        wrapper.le(StringUtils.isNotBlank(maxOfflineNo),"sow_stock",maxSowStock);




        IPage<FarmStockEntity> page = this.page(
                new Query<FarmStockEntity>().getPage(params),
                wrapper
        );

        return new PageUtils(page);
    }

}