package com.huimv.transmission.controller;

import com.huimv.transmission.entity.form.EartagForm;
import com.huimv.transmission.entity.form.PigStockForm;
import com.huimv.transmission.result.R;
import com.huimv.transmission.service.DataPushService;
import com.huimv.transmission.service.EartagDataService;
import com.huimv.transmission.utils.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;


/**
 * <p>
 * 数据推送
 * </p>
 *
 * @author yinhao
 * @date 2021/7/26 10:19
 */
@CrossOrigin
@RestController
@RequestMapping("/pig")
public class PigDataProcessingController {

    @Autowired
    private DataPushService dataPushService;

    @Autowired
    private EartagDataService eartagDataService;

    @GetMapping("/getPigStock")
    public R getPigStock(PigStockForm pigStockForm) {
        PageUtils page = dataPushService.getPigStock(pigStockForm);
        return R.ok().put("resultData",page);
    }

    @GetMapping("/getNewPigStock")
    public R getNewPigStock() {
        PageUtils page =  dataPushService.getNewPigStock(1,10);
        return R.ok().put("resultData",page);
    }

    @GetMapping("/getOffLinePigStock")
    public R getOffLinePigStock() {
        PageUtils page =  dataPushService.getOffLinePigStock(1,10);
        return R.ok().put("resultData",page);
    }

    @PostMapping("/recive")
    public void receiveData(@RequestBody String body) {
        System.out.println(body);
    }


    @GetMapping("/getEartag")
    public R getEartag(@Validated EartagForm eartagForm) {
        PageUtils page = eartagDataService.getEartag(eartagForm);
        return R.ok().put("resultData", page);
    }
}
