package com.huimv.transmission.service.impl;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.huimv.transmission.entity.DailyTabulateDataEntity;
import com.huimv.transmission.entity.form.PigStockForm;
import com.huimv.transmission.entity.vo.DailyTabulateDataVo;
import com.huimv.transmission.mapper.DailyTabulateDataDao;
import com.huimv.transmission.service.DailyTabulateDataService;
import com.huimv.transmission.utils.PageUtils;
import com.huimv.transmission.utils.Query;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Map;

/**
 * 耳标每日汇总表
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-07-24 16:29:33
 */
@Service("dailyTabulateDataService")
public class DailyTabulateDataServiceImpl extends ServiceImpl<DailyTabulateDataDao, DailyTabulateDataEntity> implements DailyTabulateDataService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DailyTabulateDataEntity> page = this.page(
                new Query<DailyTabulateDataEntity>().getPage(params),
                new QueryWrapper<>()
        );

        return new PageUtils(page);
    }

    @Override
    public IPage<DailyTabulateDataVo> getPigStockPage(PigStockForm pigStockForm) {
        IPage<DailyTabulateDataVo> iPage = new Page<>(pigStockForm.getPageNo(), pigStockForm.getPageSize());
        LambdaQueryWrapper<DailyTabulateDataEntity> lambdaQuery = Wrappers.lambdaQuery();
        String yesterday = DateUtil.format(new Date(), "yyyy-MM-dd");
        lambdaQuery.eq(DailyTabulateDataEntity::getStatisticDate, yesterday);

        return baseMapper.getPigStockPage(iPage, lambdaQuery);

    }
}